View Issue Details

IDCategoryLast Update
0007835bugs2019-11-16 13:28
ReporterahmsAssigned Tox42 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version5.12 
Fixed in Version 
Summary0007835: plugin fails in ardour 5.12 but passes well with mixbus(Linux)
DescriptionEither the plugin or the Daw is responsible for the issue to be described more below.
A Midi file is imported onto a midi track and that causes the daw to crash ..
Steps To ReproduceThere's the redux plugin (demo freely available), that does not work in Ardour.

However, it works better with Mixbus...

Ardour -> plugin crashes immediately when bringing it into the processor box.

Mixbus -> works for ""two weeks"" ""without crashing"" until I "import" a midi file onto its Midi track.

[Mixbus]
I spent some time learning this plugin as it is a little complex, but I did buy it after a couple of days of trying it and testing things, including recording..

it wasn't until I try to import a midi file onto its midi track(which contains the redux plugin) that it causes the whole daw to crash.

^ And of all the times I've done testing/recording and learning this plugin for the last two weeks never had an issue with it..

>> The odd thing is if I set no specific "patch instrument" inside the plugin settings, I can import a .mid file onto the track without crashing anything

 -- so this tells me it may be a problem with the daw and not just the plugin.

Can this be looked into?

For testing:
 -- it's simple just do a 1 Midi track, and add the redux synth(which is freely avaialble), choose any patch instrument (use the first down arrow icon, on the right-side of the Macros button), then drag/drop any .mid file onto ardour's or mixbus' midi track.
 
Can Ardour's code catch up to Mixbus for handling plugins like this?

The midi file import is being done with the daw, and not with the plugin, so this is why I think it's a problem with the daw.

If I remove the plugin, import the midi file, then add the plugin back in, there are no problems.


please take a look

TagsNo tags attached.

Relationships

related to 0007849 new vst handling issue 

Activities

ahms

2019-11-15 00:15

reporter   ~0020821

update notes -- the renoise.com company told me it's an issue with their plugin and that they will be patching it for their next release. so this report can be closed.

thanks

x42

2019-11-16 13:28

administrator   ~0020822

Superseded by 0007849

Issue History

Date Modified Username Field Change
2019-10-26 02:28 ahms New Issue
2019-11-15 00:15 ahms Note Added: 0020821
2019-11-16 13:27 x42 Relationship added related to 0007849
2019-11-16 13:28 x42 Assigned To => x42
2019-11-16 13:28 x42 Status new => closed
2019-11-16 13:28 x42 Resolution open => fixed
2019-11-16 13:28 x42 Note Added: 0020822